Get game liability
curl --request GET \
--url https://api.4casters.io/user/getGameLiability \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.4casters.io/user/getGameLiability"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.4casters.io/user/getGameLiability', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"liability": -125.5
}
}用户
获取赛事负债
单场赛事的最坏情况亏损
GET
/
user
/
getGameLiability
Get game liability
计算调用方在单场赛事上的最坏情况下的财务负债(最大风险敞口),计入该赛事每个市场上的每一笔投注。
该值始终
<= 0 — 即使完全对冲的持仓也可能因雨取消、中止或取消资格而产生亏损。
请求
GET /user/getGameLiability
string
必填
要计算负债的赛事 ID。
curl "https://api.4casters.io/user/getGameLiability?gameID=657f8ea1ea0ce6f62c1fe37d" \
-H "Authorization: Bearer YOUR_TOKEN"
响应
number
账户货币计的最坏情况亏损。始终
<= 0。调用方在该赛事上没有投注时返回 0。示例
{
"data": { "liability": -125.50 }
}
授权
Pass your auth token in the Authorization header. The Bearer prefix is optional; the server also accepts a signed auth cookie or a token field in the request body.
查询参数
A 4casters game id (ObjectID). Get game ids from GET /exchange/v2/getGames or GET /exchange/v2/getOrderbook.
响应
Liability for the requested game (always <= 0).
Show child attributes
Show child attributes
此页面对您有帮助吗?